import React from "react";
import { Tabs } from "antd";
import { ITab } from "interfaces/ClientInterface/ITab";
import "./Tab.scss";

export const TabComponent: React.FC<ITab> = ({
  defaultActiveKey,
  items,
  onChange,
  onTabClick,
}: ITab) => {
  return (
    <Tabs
      defaultActiveKey={defaultActiveKey}
      items={items}
      className="order-tab-container"
      onChange={onChange}
      onTabClick={onTabClick}
    />
  );
};

export default TabComponent;
