export interface IAddressProps {
  AddressId: string;
  DisplayName: string;
  FirstName: string;
  LastName: string;
  CompanyName: string;
  Address1: string;
  Address2: string;
  City: string;
  PostalCode: string;
  PhoneNumber: string;
  IsDefaultBilling: boolean;
  IsDefaultShipping: boolean;
  CountryName: string;
  StateName: string;
}

export interface ICPAddress extends IAddressProps {
  CPAddress: IAddressProps;
}