export interface ICalculate {
  Discount: number;
  OrderLevelDiscount: number;
  OrderLevelShipping: number;
  OrderLevelTaxes: number;
  ShippingCost: number;
  ShippingDiscount: number;
  ShippingDifference: number;
  TaxCost: number;
  TaxRate: number;
  SalesTax: number;
  CSRDiscountAmount: number;
  SubTotal?: number;
  Total?: number;
  HandlingFee: number;
  VoucherAmount: number;
  CouponDetails: ICouponDetails;
  VoucherDetails: IVoucherDetails;
  CSRDiscountApplied: boolean;
  CSRDiscountMessage: string;
}

export interface IVoucherDetails {
  VoucherAmount: number;
  VoucherMessage: string;
  VoucherNumber: string;
  IsVoucherValid: string;
  ExpirationDate: string;
  IsVoucherApplied: boolean;
  VoucherBalance: string;
  VoucherName: string;
  VoucherAmountApplied: string;
}

export interface ICouponDetails {
  Coupon: string;
  CouponValid: boolean;
  CouponApplied: boolean;
  CouponMessage: string;
}
