export interface dropdownProps {
  value: string;
  label: string;
}

export interface IOrderTypeListItem {
  CPOrderTypeId: number;
  TypeName: string;
  TypeCode: string;
}

export interface IAccountListItem {
  AccountId: number;
  Name: string;
}

export interface IUserListItem {
  UserId: number;
  UserName: string;
  AccountId: string;
}

export interface IStoreListItem {
  Id: number;
  Name: string;
}

export interface ICreateOrder {
  PortalId: string;
  UserId: string;
  AccountId?: string;
  OrderTypeCode: string;
  OrderDate: Date;
  OrderOrigin: string;
  ClassCode: string;
  AssignTo: string;
}

export interface IStoreList {
  MappingId: number;
  PageSize: number;
  FieldName: string;
  Type: string;
  TypeName: string;
  Searchterm: string;
}

export interface StoreListPayload {
  MappingId: number;
  PageSize: number;
  FieldName: string;
  Type: string;
  TypeName: string;
  Searchterm: string;
}

export interface StoreListPayload {
  MappingId: number;
  PageSize: number;
  FieldName: string;
  Type: string;
  TypeName: string;
  Searchterm: string;
}
