export type AppAbilityType = Ability<[String[], String[]]>;

export interface IRolesData {
  subject: string[];
  permission: {
    [x: string]: boolean;
  };
}
export interface ISecurityPermission {
  UserId: number;
  Object: string;
  PermissionCode: string;
  PermissionName: string;
  IsAllowed: boolean;
}

export interface IAbilityPermission {
  subject: string;
  action: string[];
}
