import React from "react";

export interface ModalComponentProps {
  visible?: boolean;
  onOK?: () => void;
  onCancel?: () => void;
  title?: string;
  children?: React.ReactNode;
  modalWidth?: string;
  okText?: React.ReactNode | string;
  cancelText?: React.ReactNode | string;
  className?: string;
  bodyStyle?: React.CSSProperties;
  dataTestSelector?: string;
  zIndex?: number;
  isMaskClosable?: boolean;
  showMask?: boolean;
  footer?: React.ReactNode | null;
}

export interface DuplicateModalProps {
  visible?: boolean;
  onOK?: () => void;
  onCancel?: () => void;
  title?: string;
  children?: React.ReactNode;
  modalWidth?: string;
  okText?: React.ReactNode | string;
  cancelText?: React.ReactNode | string;
  className?: string;
  bodyStyle?: React.CSSProperties;
  dataTestSelector?: string;
  zIndex?: number;
  isMaskClosable?: boolean;
  showMask?: boolean;
  footer?: React.ReactNode;
}
