import { IOrder } from "interfaces/ClientInterface/IEditOrder";
import {
  IOrderNoteFilters,
  IOrderNotesParams,
  filterTools,
} from "interfaces/APIInterface/IOrderNote";
import { Dispatch, SetStateAction } from "react";

export interface IOrderNotes {
  OrderNotes: IOrder;
  // eslint-disable-next-line no-unused-vars
  manageNotes?: (data: IOrderNotesParams, onCancelOrderNotes: () => void) => void;
  // eslint-disable-next-line no-unused-vars
  orderNoteFiltersEvent?: (data: string) => void;
  // eslint-disable-next-line no-unused-vars
  mangeTools?: (data: filterTools) => void;
  orderNoteFilter: IOrderNoteFilters;
  selectdOrderNote: string;
  setNewViewValidation: Dispatch<SetStateAction<string>>;
  newViewValidation: string;
  getOrderDetails:()=>void
}
