import { Dispatch, SetStateAction } from "react";

export interface IQuickAddProps {
  open: boolean;
  setOpen: Dispatch<SetStateAction<boolean>>;
  calculateOrder: () => void;
  refreshListOnBulkAdd: () => void;
  getOrderDetailsSKU: () => void;
}

export interface IQuickListProps {
  name: string;
  znodeProductId: string;
  quantity: string;
  versionId: string | undefined;
  error: string;
  sku: string;
  imageSmallPath: string;
  isValid: string;
  price?: string;
}
