import { IOrderDetails, IQuickOrderProduct } from "interfaces/APIInterface/IQuickViewOrder";

export interface IQuickView {
  open: boolean;
  // eslint-disable-next-line no-unused-vars
  setOpen: (newOpen: boolean) => void;
  children: React.ReactNode;
  data: IOrderDetails;
  loading?: boolean;
}

export interface IQuickViewOpen {
  id: string;
  visible: boolean;
}

export interface IAssignModal {
  id: string;
  visible: boolean;
  IsDelegatedToMe: boolean;
}

export interface IQuickOrder{
  productSKUText: string;
  validSKUCount: number;
  invalidSKUCount: number;
  isSuccess: boolean;
  notificationMessage: string;
  notificationDescription?: string;
  name: string;
  id: string;
  quantity:number;
  productDetail: IQuickOrderProduct[];
}



export interface IQuickOrderCart{
  Id: number;
  SKU: string;
  Quantity: number;
}
