import { httpApi } from "api/http.api";

export const getQuickViewDetails = (recordId: string) => {
  return httpApi
    .get("/order/getorderdetailsforquickview/" + recordId)
    .then((response) => response.data)
    .catch((error) => {
      throw error;
    });
};

export const getMetricsData = () => {
  return httpApi
    .get("/dashboard/getmetricsdetails")
    .then((response) => response.data)
    .catch((error) => {
      throw error;
    });
};
