import React from "react";
import { Tabs } from "antd";
const { TabPane } = Tabs;
import { ITabItem } from "interfaces/ClientInterface/ITabItem";

export default function TabItem(props: ITabItem) {
  const {tabTitle, key, children} = props;
  return (
    <TabPane tab={tabTitle} key={key}>
      {children}
    </TabPane>
  );
}
