export interface IUser {
  email: string;
  username: string;
}

export interface IForgotPassword {
  username: string;
  user: IUser;
  portalId: number;
  baseURL: string;
}

export interface IResetPassword {
  newPassword?: string;
  confirmPassword?: string;
  user: IResetPasswordResponse;
  ErrorCode?:number;
  portalId?: number;
}

export interface IResetPasswordResponse {
  username: string | null;
  newPassword?: string;
  passwordToken: string | null;
}


