import { IOrder, IOrderData } from "interfaces/ClientInterface/IEditOrder";
import { IPayment, IPaymentError } from "interfaces/APIInterface/IPayment";
import { Dispatch, SetStateAction } from "react";
import { ICalculate } from "interfaces/APIInterface/ICalculate";

export interface IBillingProps {
  order: IOrder;
  orderData: IOrderData;
  calculateOrder: () => void;
  orderCalculation: ICalculate;
  getOrderDetails:()=>void
}

export interface BillToProps {
  billTo: string;
  setBillTo: Dispatch<SetStateAction<string>>;
  onAddClick: () => void;
  billingList: IPayment[];
  error: IPaymentError;
  setError: Dispatch<SetStateAction<IPaymentError>>;
  isUserExists: boolean;
}
