import { IOrderFlag } from "interfaces/ClientInterface/IOrderFlag";
import { Dispatch, SetStateAction } from "react";

export interface IProductFlagsHeaderProps {
  openProductFlagsModal: () => void;
}

export interface IUnAssociatedProductFlagList {
  unAssociatedProductFlags: IUnAssociatedProductFlag[];
  selectedRowKeys: React.Key[];
  setSelectedRowKeys: Dispatch<SetStateAction<React.Key[]>>;
  setSearchInput: Dispatch<SetStateAction<string>>;
  searchInput: string;
}

export interface IUnAssociatedProductFlag {
  CPOrderFlagId: number;
  NameUnchecked: string;
}

export interface IProductFlagProps {
  productFlags: IOrderFlag[];
  // eslint-disable-next-line no-unused-vars
  getUnAssociatedProductFlags: (isOpen: boolean) => void;
  // eslint-disable-next-line no-unused-vars
  fetchOrderProductDetails: () => void;
}
