export interface SelectInputProps {
  defaultValue?: string;
  // eslint-disable-next-line no-unused-vars, @typescript-eslint/no-explicit-any
  onChange?: (text: string, option: any) => void;
  disabled?: boolean;
  loading?: boolean;
  allowClear?: boolean;
  // eslint-disable-next-line no-unused-vars, @typescript-eslint/no-explicit-any
  options: any;
  placeholder?: string;
  showSearch?: boolean;
  optionMenuPlacement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
  size?: "small" | "middle" | "large";
  className?: string;
  style?: React.CSSProperties;
  dropdownStyle?: React.CSSProperties;
  bordered?: boolean;
  dataTestSelector?: string;
  value?: string;
  // eslint-disable-next-line no-unused-vars
  fieldNames?: { label: string; value: string };
}
