import { IOrder, IOrderData, IProductList } from "interfaces/ClientInterface/IEditOrder";
import { IError, IShippingTo } from "interfaces/APIInterface/IShipping";
import { Dispatch, SetStateAction } from "react";

export interface IShippingProps {
  order: IOrder;
  setOrder: Dispatch<SetStateAction<IOrder>>;
  orderData: IOrderData;
  calculateOrder: () => void;
  productList: IProductList[];
  getOrderDetails:()=>void;
  userId:number;
}

export interface ShipToProps {
  shipTo: string;
  setShipTo: Dispatch<SetStateAction<string>>;
  onAddClick: () => void;
  shippingList: IShippingTo[];
  error: IError;
  setError: Dispatch<SetStateAction<IError>>;
  // eslint-disable-next-line no-unused-vars
  onShipToSelection: (shipTo: string) => void;
  isUserExists: boolean;
}
