export interface TagComponentProps {
  text: string;
  icon?: React.ReactNode | string;
  tagContentClass?: string;
  tagColor?: "success" | "processing" | "error" | "warning" | "default" | string;
  tagContainerClass?: string;
  closable?: boolean;
  // eslint-disable-next-line no-unused-vars
  onCloseClick?: (id: string) => void;
  dataTestSelector?: string;
  isRounded?: boolean;
  closeIcon?: React.ReactNode;
  id?: string;
}
