export interface IDelegateUser {
  attributeValue: string;
}
export interface IUpdateProfileParams {
  userId: number;
  userName: string;
  firstName: string;
  lastName: string;
  email: string;
  phoneNumber: string;
  aspNetUserId: string;
  customerPaymentGUID: string;
  RoleId: string;
  RoleName: string;
}
export interface ICpRoleUserListParams {
  userId: number | string;
  userName: string;
  roleName: string;
}
export interface IManagerDelegateParams {
  entityId: number | string;
  entityType: string;
}
export interface ISavedDelegateParams {
  globalAttributeCode: string;
  globalAttributeValue: string | null;
  userId: string;
}
export interface IChangePassword {
  Password: string;
  newPassword: string;
  conFirmPassword: string;
  username: string | null;
}
export interface IProfileChangePassword {
  user: IChangePassword;
  IsChangePasswordFromProfile: boolean;
}
export interface IUpdateUserProfileParams {
  Email: string;
  FirstName: string;
  LastName: string;
  PhoneNumber: string;
  UserName: string;
}
export interface IChanePasswordUserProfile {
  currentPassword: string;
  newPassword: string;
  confirmNewPassword: string;
}

